# Interface PopupOptions

interface PopupOptions {
autoDestroy: boolean;
cls: string;
content: any;
height: string;
title: string;
url: string;
width: string;
}

- Defined in src/message/Popup.js:32

#####
Index

### Properties

autoDestroy
cls
content
height
title
url
width

## Properties

### autoDestroy

autoDestroy: boolean

Whether the popup should be automatically destroyed when hidden or not.

- Defined in src/message/Popup.js:33

### cls

cls: string

Extra class name to add to the popup.

- Defined in src/message/Popup.js:35

### content

content: any

The content of the popup. Either the content or URL must be set.

- Defined in src/message/Popup.js:36

### height

height: string

The height of the popup.

- Defined in src/message/Popup.js:37

### title

title: string

The title of the popup.

- Defined in src/message/Popup.js:38

### url

url: string

The URL to use for the iframe to include as content for the popup.

- Defined in src/message/Popup.js:39

### width

width: string

The width of the popup.

- Defined in src/message/Popup.js:40

Generated using TypeDoc